angular.module('hemo', ['ionic', 'hemo.config', 'hemo.controllers', 'ngIOS9UIWebViewPatch', 'jett.ionic.filter.bar'])

.run(function($ionicPlatform) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if(window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if(window.StatusBar) {
      StatusBar.styleLightContent();
    }

    ga('send', {
      hitType: 'screenview',
      screenName: 'Pocket Guides - Home',
      appName: 'ASH Pocket Guides'
    });
  });
})

.config(function($stateProvider, $urlRouterProvider) {
  $stateProvider

    .state('app', {
      url: "/app",
      abstract: true,
      templateUrl: "templates/layout.html"
    })

    .state('app.guide', {
      url: "/guides/{guideId}/pages/{pageId}",
      views: {
        'menuContent': {
          controller: 'GuideController',
          templateUrl: 'templates/guide.html'
        }
      }
    })

    .state('app.home', {
      url: "/home",
      cache: false,
      views: {
        'menuContent': {
            templateUrl: "templates/home.html",
            controller: 'HomeController'
        }
      }
    })

    .state('app.tools', {
      url: "/tools",
      cache: false,
      views: {
        'menuContent': {
            templateUrl: "templates/tools.html",
            controller: 'ToolsController'
        }
      }
    })

    .state('app.consult', {
      url: "/consult",
      views: {
        'menuContent': {
            templateUrl: "templates/consult.html"
        }
      }
    })

    .state('app.terms', {
      url: "/terms",
      views: {
        'menuContent': {
            templateUrl: "templates/terms.html"
        }
      }
    })

    .state('app.contact', {
      url: "/contact",
      views: {
        'menuContent': {
            templateUrl: "templates/contact.html"
        }
      }
    })

    .state('app.calculator_pe', {
      url: "/calculator/pe?questionNumber",
      cache: false,
      views: {
        'menuContent': {
          resolve: {
            calcDataObj: "CalcDataPe"
          },
          templateUrl: "templates/calcs/calculator_checkbox.html",
          controller: 'CheckboxCalculatorController'
        }
      }
    })

    .state('app.calculator_dvt', {
      url: "/calculator/dvt?questionNumber",
      cache: false,
      views: {
        'menuContent': {
          resolve: {
            calcDataObj: "CalcDataDvt"
          },
          templateUrl: "templates/calcs/calculator_checkbox.html",
          controller: 'CheckboxCalculatorController'
        }
      }
    })

    .state('app.calculator_mgus', {
      url: "/calculator/mgus?questionNumber",
      cache: false,
      views: {
        'menuContent': {
          resolve: {
            calcDataObj: "CalcDataMgus"
          },
          templateUrl: "templates/calcs/calculator_checkbox.html",
          controller: 'CheckboxCalculatorController'
        }
      }
    })

    .state('app.mgus_recommendations', {
      url: "/calculator/mgus/rec?result",
      cache: false,
      views: {
        'menuContent': {
          templateUrl: "templates/calcs/mgus_rec.html",
          controller: 'MgusRecController'
        }
      }
    })

    .state('app.calculator_bs', {
      url: "/calculator/bs?questionNumber",
      cache: false,
      views: {
        'menuContent': {
          resolve: {
            calcDataObj: "CalcDataBleedingScore"
          },
          templateUrl: "templates/calcs/calculator.html",
          controller: 'CalculatorController'
        }
      }
    })

    .state('app.calculator_hctci', {
      url: "/calculator/hctci?questionNumber",
      cache: false,
      views: {
        'menuContent': {
          resolve: {
            calcDataObj: "CalcDataHCTCI"
          },
          templateUrl: "templates/calcs/hctci.html",
          controller: 'HCTCICalcController'
        }
      }
    })

    .state('app.calculator_ecog', {
      url: "/calculator/ecog?questionNumber",
      cache: false,
      views: {
        'menuContent': {
          resolve: {
            calcDataObj: "CalcDataEcog"
          },
          templateUrl: "templates/calcs/calculator.html",
          controller: 'CalculatorController'
        }
      }
    })

    .state('app.calculator_khorana', {
      url: "/calculator/khorana?questionNumber",
      cache: false,
      views: {
        'menuContent': {
          resolve: {
            calcDataObj: "CalcDataKhorana"
          },
          templateUrl: "templates/calcs/calculator.html",
          controller: 'CalculatorController'
        }
      }
    })

    .state('app.calculator_ipss', {
      url: "/calculator/ipss?questionNumber",
      cache: false,
      views: {
        'menuContent': {
          resolve: {
            calcDataObj: "CalcDataIpss"
          },
          templateUrl: "templates/calcs/calculator.html",
          controller: 'CalculatorController'
        }
      }
    })

    .state('app.calculator_4ts', {
      url: "/calculator/4ts?questionNumber",
      cache: false,
      views: {
        'menuContent': {
          resolve: {
            calcDataObj: "CalcData4ts"
          },
          templateUrl: "templates/calcs/calculator.html",
          controller: 'CalculatorController'
        }
      }
    })

    .state('app.calculator_flipi', {
      url: "/calculator/flipi?questionNumber",
      cache: false,
      views: {
        'menuContent': {
          resolve: {
            calcDataObj: "CalcDataFlipi"
          },
          templateUrl: "templates/calcs/calculator_checkbox.html",
          controller: 'CheckboxCalculatorController'
        }
      }
    })

    .state('app.calculator_ripi', {
      url: "/calculator/ripi?questionNumber",
      cache: false,
      views: {
        'menuContent': {
          resolve: {
            calcDataObj: "CalcDataRipi"
          },
          templateUrl: "templates/calcs/calculator_checkbox.html",
          controller: 'CheckboxCalculatorController'
        }
      }
    })

    .state('app.ipssr', {
      url: "/calculator/ipssr?page",
      cache: false,
      views: {
        'menuContent': {
          templateUrl: "templates/calcs/ipssr.html",
          controller: 'IpssrController'
        }
      }
    })

    .state('app.creatinine', {
      url: "/calculator/creatinine?page",
      cache: false,
      views: {
        'menuContent': {
          templateUrl: "templates/calcs/creatinine_clearance.html",
          controller: 'CreatinineClearanceController'
        }
      }
    })

    .state('app.mipi', {
      url: "/calculator/mipi?page",
      cache: false,
      views: {
        'menuContent': {
          templateUrl: "templates/calcs/mipi.html",
          controller: 'MipiController'
        }
      }
    })

    .state('app.myeloma-frailty', {
      url: "/calculator/myelomafrailty?page",
      cache: false,
      views: {
        'menuContent': {
          templateUrl: "templates/calcs/myeloma-frailty.html",
          controller: 'MyelomaFrailtyController'
        }
      }
    })

    .state('app.iron', {
      url: "/calculator/iron?page",
      cache: false,
      views: {
        'menuContent': {
          templateUrl: "templates/calcs/iron.html",
          controller: 'IronController'
        }
      }
    })

    .state('app.eutos', {
      url: "/calculator/eutos?page",
      cache: false,
      views: {
        'menuContent': {
          templateUrl: "templates/calcs/eutos.html",
          controller: 'EutosController'
        }
      }
    })

    .state('app.factorviii', {
      url: "/calculator/factorviii?page",
      cache: false,
      views: {
        'menuContent': {
          templateUrl: "templates/calcs/factorviii.html",
          controller: 'FactorViiiController'
        }
      }
    })

    .state('app.factorix', {
      url: "/calculator/factorix?page",
      cache: false,
      views: {
        'menuContent': {
          templateUrl: "templates/calcs/factorix.html",
          controller: 'FactorIxController'
        }
      }
    })

    .state('app.red_cell_exchange', {
      url: "/calculator/red_cell_exchange?page",
      cache: false,
      views: {
        'menuContent': {
          templateUrl: "templates/calcs/red_cell_exchange.html",
          controller: 'RedCellExchangeController'
        }
      }
    })

    .state('app.sokal', {
      url: "/calculator/sokal?page",
      cache: false,
      views: {
        'menuContent': {
          templateUrl: "templates/calcs/sokal.html",
          controller: 'SokalController'
        }
      }
    })

    .state('app.decisiontree', {
      url: "/decisiontree/{decisionTreeId}?questionNumber&numBack",
      views: {
        'menuContent': {
          controller: 'DecisionTree',
          templateUrl: "templates/decisiontree.html"
        }
      }
    })

    .state('app.acute_leukemia', {
      url: "/acute-leukemia?page",
      views: {
        'menuContent': {
          controller: 'AcuteLeukemiaController',
          templateUrl: "templates/acute_leukemia.html"
        }
      }
    })

    .state('app.acute_leukemia_key', {
      url: "/acute-leukemia/key",
      views: {
        'menuContent': {
          controller: 'AcuteLeukemiaKeyController',
          templateUrl: "templates/acute_leukemia_key.html"
        }
      }
    })

    .state('app.hit_key', {
      url: "/hit/key",
      views: {
        'menuContent': {
          controller: 'HitKeyController',
          templateUrl: "templates/hit_key.html"
        }
      }
    })

    .state('app.vte_key', {
      url: "/vte/key",
      views: {
        'menuContent': {
          controller: 'VteKeyController',
          templateUrl: "templates/vte_key.html"
        }
      }
    })

    .state('app.scdts_key', {
      url: "/scdts/key",
      views: {
        'menuContent': {
          controller: 'ScdtsKeyController',
          templateUrl: "templates/scdts_key.html"
        }
      }
    })
  
    .state('app.itp_key', {
      url: "/itp/key",
      views: {
        'menuContent': {
          controller: 'ItpKeyController',
          templateUrl: "templates/itp_key.html"
        }
      }
    })

    .state('app.mat_key', {
      url: "/mat/key",
      views: {
        'menuContent': {
          controller: 'MatKeyController',
          templateUrl: "templates/mat_key.html"
        }
      }
    })

    .state('app.cardiopulmonaryscd_key', {
      url: "/cardiopulmonaryscd/key",
      views: {
        'menuContent': {
          controller: 'CardiopulmonarySCDKeyController',
          templateUrl: "templates/cardiopulmonaryscd_key.html"
        }
      }
    })



  $urlRouterProvider.otherwise('/app/home');

});

screen.unlockOrientation();
